---
updatedAt: 2026-04-28T09:31:16.000Z
agentTools:
  projectIndex: https://docs.makaira.io/llms.txt
---

# List Components

List Components

Returns a list of all page editor component definitions for the current instance.

Requires authentication.

## Request

**`GET /component`**

### Headers

| Header          | Value            |
| --------------- | ---------------- |
| `Authorization` | `Bearer <token>` |

## Response

Returns a JSON array of component objects.

### Response Body

| Field        | Type    | Description                                       |
| ------------ | ------- | ------------------------------------------------- |
| `id`         | integer | Unique component ID.                              |
| `identifier` | string  | Machine-readable identifier used by the frontend. |
| `name`       | string  | Display name in the Page Editor.                  |
| `icon`       | string  | Icon identifier.                                  |
| `sections`   | array   | Array of section definitions with their fields.   |

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Makaira API",
    "version": "1.0",
    "contact": {
      "name": "Makaira GmbH",
      "url": "https://www.makaira.io/",
      "email": "support@makaira.io"
    },
    "description": "API of the powerful Makaira Search/Recommendation and Marketing Suite"
  },
  "servers": [
    {
      "url": "https://{yourinstance}.makaira.io"
    }
  ],
  "paths": {
    "/component": {
      "parameters": [
        {
          "$ref": "#/components/parameters/instance"
        }
      ],
      "get": {
        "summary": "List Components",
        "description": "List Components",
        "tags": [
          "Components"
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        },
        "operationId": "componentList"
      }
    }
  },
  "components": {
    "parameters": {
      "instance": {
        "in": "header",
        "name": "X-Makaira-Instance",
        "required": true,
        "description": "Makaira Instance ID",
        "schema": {
          "type": "string"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Authentication by JSON Web Token\n"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```